/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ifish.bean;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 *
 * @author Administrator
 */
@Entity
@Table(name = "tbl_device_user")
public class DeviceUserBean implements java.io.Serializable {

    /**
     * 版本号
     */
    private static final long serialVersionUID = -8887049051247467842L;

    /**
     *
     */
    @Id
    @Column(name = "user_id", unique = true, nullable = false, length = 10)
    private Integer userId;

    /**
     *
     */
    @Id
    @Column(name = "device_id", unique = true, nullable = false, length = 10)
    private Integer deviceId;

    /**
     *
     */
    @Column(name = "is_master", nullable = true, length = 1)
    private String isMaster;

    /**
     *
     */
    @Column(name = "show_name", nullable = true, length = 50)
    private String showName;

    /**
     *
     */
    @Column(name = "create_time", nullable = true)
    private Date createTime;

    /**
     *
     */
    @Column(name = "update_time", nullable = true)
    private Date updateTime;

    /**
     *
     */
    @Column(name = "custom_icon_name", nullable = true, length = 100)
    private String customIconName;

    /**
     *
     */
    @Column(name = "custom_show_name", nullable = true, length = 100)
    private String customShowName;

    /**
     * 获取
     *
     * @return
     */
    public Integer getUserId() {
        return this.userId;
    }

    /**
     * 设置
     *
     * @param userId
     *
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取
     *
     * @return
     */
    public Integer getDeviceId() {
        return this.deviceId;
    }

    /**
     * 设置
     *
     * @param deviceId
     *
     */
    public void setDeviceId(Integer deviceId) {
        this.deviceId = deviceId;
    }

    /**
     * 获取
     *
     * @return
     */
    public String getIsMaster() {
        return this.isMaster;
    }

    /**
     * 设置
     *
     * @param isMaster
     *
     */
    public void setIsMaster(String isMaster) {
        this.isMaster = isMaster;
    }

    /**
     * 获取
     *
     * @return
     */
    public String getShowName() {
        return this.showName;
    }

    /**
     * 设置
     *
     * @param showName
     *
     */
    public void setShowName(String showName) {
        this.showName = showName;
    }

    /**
     * 获取
     *
     * @return
     */
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * 设置
     *
     * @param createTime
     *
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取
     *
     * @return
     */
    public Date getUpdateTime() {
        return this.updateTime;
    }

    /**
     * 设置
     *
     * @param updateTime
     *
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 获取
     *
     * @return
     */
    public String getCustomIconName() {
        return this.customIconName;
    }

    /**
     * 设置
     *
     * @param customIconName
     *
     */
    public void setCustomIconName(String customIconName) {
        this.customIconName = customIconName;
    }

    /**
     * 获取
     *
     * @return
     */
    public String getCustomShowName() {
        return this.customShowName;
    }

    /**
     * 设置
     *
     * @param customShowName
     *
     */
    public void setCustomShowName(String customShowName) {
        this.customShowName = customShowName;
    }
}
